r.blend(1)

NAME
r.blend - Blends color components of two raster maps by a given ratio.

KEYWORDS
raster, composite

SYNOPSIS
r.blend
r.blend --help
r.blend [-c] first=name second=name output=basename [percent=float] [nprocs=integer] [--overwrite] [--help] [--verbose] [--quiet] [--ui]

  Flags:

-c
    Combine resulting R,G,B layers into single output map

--overwrite
    Allow output files to overwrite existing files

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

first=name [required]
    Name of first raster map for blending

second=name [required]
    Name of second raster map for blending

output=basename [required]
    Basename for red, green and blue output raster maps

percent=float
    Percentage weight of first map for color blending
    Options: 0-100
    Default: 50

nprocs=integer
    Number of threads for parallel computing
    0: use OpenMP default; >0: use nprocs; <0: use MAX-nprocs
    Default: 0

DESCRIPTION
r.blend blends color components of 2 raster maps by a specified percentage of the first map.

EXAMPLE
Blending the aspect map with the elevation map for a shaded map (North Carolina sample dataset):

g.region raster=elevation
r.relief input=elevation output=relief zscale=10
r.blend -c first=elevation second=relief output=blend percent=75

Figure: Elevation blended with shaded relief

SEE ALSO
d.shade, g.region, r.shade, r.colors, r.his, r.mapcalc, r.rgb, r.support

AUTHORS
Unknown: probably CERL
Updated to GRASS 5.7 by Michael Barton, Arizona State University

SOURCE CODE

Available at: r.blend source code (history)

Latest change: Thursday Nov 06 23:50:00 2025 in commit: f714bf80e54f853796854f03b5c86fd7f5b1cd9d

Main index | Raster index | Topics index | Keywords index | Graphical index | Full index

© 2003-2026 GRASS Development Team, GRASS 8.5.0 Reference Manual